/*
 * Created on 26-may-2004
 */

package PDR;
import java.sql.*;
//import org.postgresql.Driver;

/**
 * Aquest objecte es passar de objecte a objecte per utilitzar una nica conexi
 * al llarg de tota l'aplicaci.
 * Tamb s'utilitzar una conexi per portar la bitcora de esdeveniments
 */
public class BDConnexio {
	
    //Variables
    String url;
    String username;
    String password;
    
    Connection cnPrincipal; // Connexi Principal on es realitzaran les consultes i la resta de comandes
    Connection cnLog; // Connexi per portar una bitcora de esdeveniments de l'aplicaci
    
    int iNivellAvis; // Nivell d'avs    
   
    public BDConnexio() 
    {
    }
    
    public void AssignaConnexio(String nouUrl, String nouUsername, String nouPassword)
    {
        url      = nouUrl;
        username = nouUsername;
        password = nouPassword;
    }
    
    public void connectaBD() throws Exception //SQLException,java.lang.ClassNotFoundException
    {
        //Postgres
        if (url != null)
        {
          Class.forName("org.postgresql.Driver").newInstance();
          cnPrincipal = DriverManager.getConnection( url, username, password );
        }
// Oracle
//      if ( url != null )
//        {
//            // Per ara noms funciona amb ORACLE
//            //   per nomes cal afegir aqu els registerDriver i funcionar
//            //   amb qualsevol Base de Dades
//            DriverManager.registerDriver(new oracle.jdbc.OracleDriver());
//            
//            cnPrincipal = DriverManager.getConnection( url, username, password );
//        }

        cnPrincipal.setAutoCommit(false);
    }
    
}