<%@page contentType="text/html"%>
<%@page pageEncoding="ISO-8859-1"%>
<%@page language= "java" import="java.util.*" session="true"%>

<!--@author Miguel Angel Panadero-->

<html>
    <head>
        <SCRIPT LANGUAGE="JavaScript" SRC="javaScriptdePDR.js"></SCRIPT>
        <title>Municipi</title>
        <link href="fac.css" rel="stylesheet" type="text/css">

        <%
           String sClass_CDG_PRV;
           String sClass_NMUN;
           String sClass_NMUN50;
           String sClass_NMUNC;
           String sClass_DSC_MNC;
           String sJsp;
           PDR.PDRMunicipi oMun;
           PDR.PDRInicio     oIni;
           
           // Inicializamos la variable sJsp para que los form sepan a donde se tienen que dirijir.
           // Sobre todo el menu.
           sJsp = "Municipi.jsp";
           
           // Cargar las variables globales.
           oIni = new PDR.PDRInicio();
           if (session.getAttribute("oIni") != null)
           {
             oIni = (PDR.PDRInicio) session.getAttribute("oIni");
           }
           else
           {
             out.println("<meta http-equiv='REFRESH' content='0;url=\"Inicio.jsp\">");
             oIni.sError = oIni.sError + "e0: S'ha perdut la conexi.";
             session.setAttribute("oIni",oIni);
           }
           
           if (session.getAttribute("oMun")!= null)
           {
             oMun = (PDR.PDRMunicipi) session.getAttribute("oMun");

             // Las variables omplertes en l'anterior web no null ompliran oMun de sessio
             // Tratamiento para los numericos rellenados por Nosotros.
             if (request.getParameter("CDG_PRV") != null)
                {oMun.CDG_PRV = Integer.parseInt(request.getParameter("CDG_PRV"));}
             // Tratamiento para los numericos rellenados por el Ine.
             if (request.getParameter("CUN") != null && 
                 request.getParameter("CUN").compareTo("") != 0)
                {oMun.CUN = Integer.parseInt(request.getParameter("CUN"));}
             if (request.getParameter("NMUN")     != null)
                {oMun.NMUN     = request.getParameter("NMUN");}
             if (request.getParameter("NMUN50")   != null)
                {oMun.NMUN50   = request.getParameter("NMUN50");}
             if (request.getParameter("NMUNC")    != null)
                {oMun.NMUNC    = request.getParameter("NMUNC");}
             if (request.getParameter("DSC_MNC")  != null)
                {oMun.DSC_MNC  = request.getParameter("DSC_MNC");}
           }
           else
           { 
             oMun = new PDR.PDRMunicipi((PDR.BDConnexio) session.getAttribute("con"));
             // Cargar las variables globales.
             oMun.CDG_PRV = oIni.CDG_PRV;
           }
        %>
    </head>
    <body>
    
    <%
       
       
       // Reinicia la pantalla als valors per defecta.
       if ( request.getParameter("Reiniciar") != null )
       {
          oMun.reiniciar();
       }
       
       if ( request.getParameter("Grabar") != null  )
       {
          // Miramos si podemos Insertar.
          oMun.comprobacionInsert();
          if ( oMun.sError.compareTo("") == 0)
          {
            oMun.insert();
          }       
       } 
       
       if ( request.getParameter("Update") != null  )
       {
        
          // Miramos si podemos Updatear.
          oMun.comprobacionUpdate();
          if ( oMun.sError.compareTo("") == 0)
          {
            oMun.update();
          }
       }
       
       if ( request.getParameter("Eliminar") != null  )
       {
         // Miramos si podemos Updatear.
         oMun.comprobacionDelete();
         if ( oMun.sError.compareTo("") == 0)
         {
           oMun.delete();
         }
       }
       
       // Si hay una busqueda en curso damos el elemento siguiente.
       if ( request.getParameter("Siguiente") != null  )
       {
         oMun.siguiente();
       } 
       
       // Si hay una busqueda en curso damos el elemento anterior.
       if ( request.getParameter("Anterior") != null  )
       {
         oMun.anterior();
       } 
       
       if ( request.getParameter("Siguiente") == null  &&
            request.getParameter("Anterior")  == null  )
       {
         oMun.sSiguiente = "disabled";
         oMun.sAnterior  = "disabled";
       }
       if ( request.getParameter("Buscar") != null  )
       {
         // Miramos si podemos Updatear.
         oMun.comprobacionSelect();
         if ( oMun.sError.compareTo("") == 0)
         {
           oMun.select();
         }
       }
       
        // Ens selecciona els parmetres incorrectas.
       
       // La provincia no existe.
       if (oMun.sError.contains("e4:")){sClass_CDG_PRV = "form2";}    else {sClass_CDG_PRV = "form1";}
       // Falta poner el nombre del Municipio.
       if (oMun.sError.contains("e12:") ){sClass_NMUN = "form2";}    else {sClass_NMUN = "form1";}
       // Falta poner el nombre de como mximo 50 carcteres del Municipio.
       if (oMun.sError.contains("e13:") ){sClass_NMUN50 = "form2";}  else {sClass_NMUN50 = "form1";}
       // Falta poner el nombre corto del Municipio.
       if (oMun.sError.contains("e14:") ){sClass_NMUNC = "form2";}   else {sClass_NMUNC = "form1";}
       // Falta poner la descripcin del Municipio.
       if (oMun.sError.contains("e15:") ){sClass_DSC_MNC = "form2";} else {sClass_DSC_MNC = "form1";}
      %>
     
      <br />
     <form  name="MenuForm"  action=<%= sJsp%> method="post">
            <TABLE  ALIGN=center cellspacing='0' cellpadding='0' border='0' width='600px'>
                <!-- Fila 0-->
                <TR><TD class='admin2' width='100%' nowrap >
                <h3>Menu</h3>
                </TD></TR>
                <%@ include file="menuPrincipal.jsp" %>
                <%@ include file="menuManteniment.jsp" %>
            </TABLE>
        </form >
     
    <form  name="myForm"  action=<%= sJsp%> method="post">
    <TABLE  ALIGN=center cellspacing='0' cellpadding='0' border='0' width='600px'>
    <!-- Fila 0-->
    <TR><TD class='admin2' width='100%' nowrap COLSPAN="2">
      <h2>Municipi</h2>
    </TD></TR>
    <!-- Fila 1-->
        <TR width='100%'>
          <TD class='form1' nowrap>Codi de Unitat Poblacinal</TD>      
          <TD class= form1 nowrap> <%if(oMun.CUN != -1) out.print(oMun.CUN); %></TD>  
        </TR>
    <!-- Fila 2-->
    <TR width='100%'>
      <TD class='form1' nowrap>Nom del Municipi:</TD>      
      <TD class= <%=sClass_NMUN%> nowrap> <INPUT TYPE=TEXT NAME="NMUN" MAXLENGTH=70 SIZE=20 VALUE="<%if(oMun.NMUN != null) out.print(oMun.NMUN); %>"></TD>  
    </TR>
    <!-- Fila 3-->
    <TR width='100%'>
      <TD class='form1' nowrap>Nom max. 50 carcters:</TD>      
      <TD class= <%=sClass_NMUN50%> nowrap> <INPUT TYPE=TEXT NAME="NMUN50" MAXLENGTH=50 SIZE=20 VALUE="<%if(oMun.NMUN50 != null) out.print(oMun.NMUN50); %>"></TD>  
    </TR>
    <!-- Fila 4-->
    <TR width='100%'>
      <TD class='form1' nowrap>Nom curt del Municipi:</TD>      
      <TD class= <%=sClass_NMUNC%> nowrap> <INPUT TYPE=TEXT NAME="NMUNC" MAXLENGTH=25 SIZE=20 VALUE="<%if(oMun.NMUNC != null) out.print(oMun.NMUNC); %>"></TD>  
    </TR>
    <!-- Fila 5-->
    <TR width='100%'>
      <TD class='form1' nowrap>Descripci del Municipi: </TD> 
      <TD class= <%=sClass_DSC_MNC%> nowrap><INPUT TYPE=TEXT NAME="DSC_MNC" MAXLENGTH=256 SIZE=50 VALUE="<%if(oMun.DSC_MNC != null) out.print(oMun.DSC_MNC);  %>"></TD>   
    </TR>
    <!-- Fila Opcions-->
    <TR width='100%'>
    <TD class='form1' nowrap>
                            <input type="submit"  name="Buscar"    value="Buscar"> 
                            <input type="submit"  name="Reiniciar" value="Reiniciar"> 
    </TD>
    <TD class='form1' nowrap> 
                            <input type="submit"  name="Grabar"    value="Alta"> 
                            <input type="submit"  name="Update"    value="Modificar"> 
                            <input type="submit"  name="Eliminar"  value="Baixa">
                            <input type="submit"  name="Anterior"  value="Anterior" <%= oMun.sAnterior%>>
                            <input type="submit"  name="Siguiente" value="Siguiente"<%= oMun.sSiguiente%>> 
    </TD>
    </TR>
     </TABLE>
     </form >  
    
     <% // Mostra els errors que han agut.
        if ( oMun.sError.compareTo("") != 0)
        {
          out.println (oMun.sError);
          oMun.sError = "";
        } 
       session.setAttribute("oMun",oMun);
     %>
      
    </body>
</html>