/*
 * PDRNumeadors.java
 *
 * Created on 7 de julio de 2005, 12:33
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package PDR;

import java.io.*;
import java.net.*;
import java.sql.*;
import java.util.Date;

/**
 *
 * @author Administrador
 */
public class PDRNumerador {
    
    // Variables.
    // Relacionada con la base de datos
    public  BDConnexio con;        // Nos permite conectarnos con la base de datos.
    public  String NMR_NOM;        // Conte el nom del numerador.
    public  int    NMR_VLR;        // Conte el valor del numerador.
    public  String NMR_DSC;        // Conte la descripcio del numerador.
    
    private String     sNomTaula ; // Nos sirve para saber a que tabla tiene que acceder.
    // Relacionada con Errores
    public  String     sError;     // Guardamos todos los errores generados.
    // Relacionadas con estado de los botones.
    // Esta clase no va asignada aninguna pantalla.
    
    
    /** Creates a new instance of PDRNumeadors */
    public PDRNumerador() 
    {
       con       = null;       
       NMR_NOM   = ""; 
       //NMR_VLR   = 0;   
       NMR_DSC   = "";  
       sNomTaula = "PDR_NUMERADOR" ; 
       sError    = "";    
    }
    
    public PDRNumerador(BDConnexio conexion) 
    {
       con       = conexion;       
       NMR_NOM   = ""; 
       //NMR_VLR   = 0;   
       NMR_DSC   = "";  
       sNomTaula = "PDR_NUMERADOR" ; 
       sError    = "";    
    }
    
     private void rellenar(ResultSet rSelect)
    {
      try
      {
        NMR_VLR = Integer.parseInt(rSelect.getString("NMR_VLR"));
        NMR_DSC  = rSelect.getString ("NMR_DSC");
      } catch (Exception e)
      {
         sError = sError + ("Fallo en la base de datos:"+e + "<br />");
         try
           {con.cnPrincipal.rollback();
           }catch (Exception e2)
           {sError = sError + ("Fallo en la base de datos al hacer un rollback:"+ e2 + "<br />");}
      }
    }
    
    //Nos devuelve el numerador que tenemos en la variable gloval NMR_NOM y lo augmentado en una unidad, 
    //si el numerado no existe lo crea y le aigna 1.
    public int select() throws Exception
    {
      int iResultado = 1;
      
      // Conexio
      Statement stmt; 
      StringBuffer sbSql;
      ResultSet rSelect;
      
      sbSql = null;
      
      stmt = con.cnPrincipal.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE );

      // Preparem la sentncia SQL
      sbSql  = new StringBuffer("");
      sbSql.append("Select * From ");
      sbSql.append(    sNomTaula);
      sbSql.append(" where ");
      sbSql.append("   ( NMR_NOM = '"+ NMR_NOM + "')");

      rSelect = stmt.executeQuery(sbSql.toString());

      if (rSelect.next())
      {
        rellenar(rSelect);
        NMR_VLR = NMR_VLR + 1;
        update();
      }
      else
      {
        NMR_VLR = 1;
        insert();
        iResultado = 1;
      }
      stmt.close();
      
      return(iResultado);
    }
    
    // Nos inserta el numerador que tenemos en la variable gloval NMR_NOM y le asigna 1.
    public void insert() throws Exception
    {
      // Conexio
      Statement stmt; 
      StringBuffer sbSql;
      
      sbSql = null;
      
      stmt = con.cnPrincipal.createStatement();

      // Preparem la sentncia SQL
      sbSql  = new StringBuffer("");
      sbSql.append("Insert into  ");
      sbSql.append(     sNomTaula);
      sbSql.append(" (NMR_NOM, NMR_VLR, NMR_DSC) ");
      sbSql.append(" values ");
      sbSql.append("('"+  NMR_NOM +"','"+ NMR_VLR+"','"+ NMR_DSC + "')");

      stmt.executeUpdate(sbSql.toString());
      stmt.close();
      con.cnPrincipal.commit();
      
    }
    
    // Nos updatea el numerador NMR_NOM (varialbe global) con el valor que hay en NMR_VLR (varialbe global) y la descripcin
    // NMR_DSC (varialbe global).
    public void update() throws Exception
    {
      // Conexio
      Statement stmt; 
      StringBuffer sbSql;

      sbSql = null;
      
      stmt = con.cnPrincipal.createStatement();

      // Preparem la sentncia SQL, solament podem updateixa la descripcio
      sbSql  = new StringBuffer("");
      sbSql.append("Update ");
      sbSql.append(    sNomTaula);
      sbSql.append(" SET "  );
      sbSql.append("   NMR_VLR=  '"+ NMR_VLR + "' ,  ");
      sbSql.append("   NMR_DSC=  '"+ NMR_DSC + "' ");
      sbSql.append(" where");
      sbSql.append("   NMR_NOM= '"+ NMR_NOM + "' ");

      stmt.executeUpdate(sbSql.toString());
      stmt.close();
      con.cnPrincipal.commit();

    }
}
